> ## Documentation Index
> Fetch the complete documentation index at: https://developer.notocat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Contact

> Learn how to delete contacts from your newsletter using the Notocat API. This guide covers the DELETE /contacts endpoint, allowing you to remove unwanted subscriber data efficiently.

This endpoint can be used to delete contacts from a workspace in bulk. This action is irreversible.

By default, the endpoint will only delete contacts that are not subscribed. If you want to delete all contacts, you can pass the `subscribed` query parameter with the value `true`.


## OpenAPI

````yaml DELETE /contacts
openapi: 3.0.1
info:
  title: OpenAPI Contacts
  description: The contacts API allows you to manage your contacts in Notocat.
  version: 1.0.0
servers:
  - url: https://api.notocat.com/v1
security:
  - bearerAuth: []
paths:
  /contacts:
    delete:
      description: Deletes contacts in bulk
      parameters:
        - name: newsletter_id
          in: query
          description: ID of newsletter to delete contacts from
          required: true
          schema:
            type: integer
            format: int64
        - name: subscribed
          in: query
          description: >-
            By default, only contacts that are not subscribed are deleted. If
            you want to delete all contacts, you can pass the `subscribed` query
            parameter with the value `true`.
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: Contacts deleted
          content:
            application/json:
              schema:
                type: object
                properties:
                  contacts_removed:
                    type: integer
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````